One creator as this shop sees them: ids, sales here, content, samples and showcase
GET
/api/public/v1/tik_tok_shop/creators/profileConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopCreatorProfile
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/profile" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| openId | query | string | |
| username | query | string | |
| breakdown | query | string | One of truefalse Default false |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| content | object, nullable | |
| content.comments | number, nullable | |
| content.lastPostedAt | string, nullable | |
| content.likes | number, nullable | |
| content.lives | number, nullable | |
| content.videos | number, nullable | |
| content.views | number, nullable | |
| creator | object, nullable | |
| creator.avatarUrl | , nullable | |
| creator.firstSeenAt | string, nullable | |
| creator.followerCount | number, nullable | |
| creator.lastSeenAt | string, nullable | |
| creator.nickname | string, nullable | |
| creator.oecId | string, nullable | |
| creator.openId | string, nullable | |
| creator.previousUsernames | array of string, nullable | |
| creator.profileUrl | string, nullable | |
| creator.secUid | string, nullable | |
| creator.username | string, nullable | |
| found | boolean, nullable | |
| lookup | object, nullable | |
| lookup.username | string, nullable | |
| marketplaceStats | object, nullable | |
| marketplaceStats.fulfillmentRate | number, nullable | |
| marketplaceStats.gmvAmount | string, nullable | |
| marketplaceStats.gmvCurrency | string, nullable | |
| marketplaceStats.medianVideoViews | number, nullable | |
| marketplaceStats.videoCount | number, nullable | |
| note | string, nullable | |
| sales | object, nullable | |
| sales.breakdown | , nullable | |
| sales.breakdownStatus | string, nullable | |
| sales.currency | string, nullable | |
| sales.last28Days | object, nullable | |
| sales.last28Days.commissionEstimated | number, nullable | |
| sales.last28Days.from | string, nullable | |
| sales.last28Days.gmvGross | number, nullable | |
| sales.last28Days.itemsSold | number, nullable | |
| sales.last28Days.orders | number, nullable | |
| sales.last28Days.to | string, nullable | |
| sales.lifetime | object, nullable | |
| sales.lifetime.commissionEstimated | number, nullable | |
| sales.lifetime.firstSaleDay | string, nullable | |
| sales.lifetime.gmvGross | number, nullable | |
| sales.lifetime.itemsSold | number, nullable | |
| sales.lifetime.lastOrderAt | string, nullable | |
| sales.lifetime.orders | number, nullable | |
| sales.usernames | array of string, nullable | |
| samples | object, nullable | |
| samples.byState | object, nullable | |
| samples.byState.content_fulfilled | number, nullable | |
| samples.byState.sample_shipped | number, nullable | |
| samples.total | number, nullable | |
| segments | array of object, nullable | |
| segments[].[].name | string, nullable | |
| segments[].[].segmentId | string, nullable | |
| showcase | object, nullable | |
| showcase.byState | object, nullable | |
| showcase.byState.added_to_showcase | number, nullable | |
| showcase.total | number, nullable | |
| sweptThrough | string, nullable |
Example
{
"content": {
"comments": 125.5,
"lastPostedAt": "string",
"likes": 125.5,
"lives": 125.5,
"videos": 125.5,
"views": 125.5
},
"creator": {
"avatarUrl": "https://example.com/p/1",
"firstSeenAt": "string",
"followerCount": 125.5,
"lastSeenAt": "string",
"nickname": "Example name",
"oecId": "string",
"openId": "string",
"previousUsernames": [
"Example name"
],
"profileUrl": "https://example.com/p/1",
"secUid": "string",
"username": "Example name"
},
"found": true,
"lookup": {
"username": "Example name"
},
"marketplaceStats": {
"fulfillmentRate": 0.15,
"gmvAmount": "string",
"gmvCurrency": "string",
"medianVideoViews": 125.5,
"videoCount": 125.5
},
"note": "string",
"sales": {
"breakdown": "string",
"breakdownStatus": "string",
"currency": "usd",
"last28Days": {
"commissionEstimated": 125.5,
"from": "string",
"gmvGross": 125.5,
"itemsSold": 125.5,
"orders": 125.5,
"to": "string"
},
"lifetime": {
"commissionEstimated": 125.5,
"firstSaleDay": "string",
"gmvGross": 125.5,
"itemsSold": 125.5,
"lastOrderAt": "string",
"orders": 125.5
},
"usernames": [
"Example name"
]
},
"samples": {
"byState": {
"content_fulfilled": 125.5,
"sample_shipped": 125.5
},
"total": 125.5
},
"segments": [
{
"name": "Example name",
"segmentId": "string"
}
],
"showcase": {
"byState": {
"added_to_showcase": 125.5
},
"total": 125.5
},
"sweptThrough": "string"
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.